#!/bin/sh
p=3proxy
f=free-sa
z=/opt/$f
m=`date +%Y`.`date +%m`/
N=$p.log.`date +%Y`.`date +%m`
D=/var/log/$f/
ym=`date +%m`.`date +%Y`
v=0
declare -a days
t=`date +%m | sed 's/^0//'`
LN=log.size.
PN=$p.log.
lf=/opt/$f/logs/$f-month.log.html
if [ ! -e $D$m ]; then
mkdir $D$m
fi
rm -f $D$m$N
for day in {1..31}
do
if (( "$day" < 10 )); then dayvalue="0$day"
else dayvalue="$day"
fi
index=$(( day - 1 ))
if [ -f "$D$N.$dayvalue" ]; then days[index]=$dayvalue
v=$(( v + 1 ))
dayvalue=""
fi
done
if [ $v -eq 0 ]; then echo `date +%c`"  --  Не найдено ни одного файла лога за месяц. Сбор статистики за месяц невозможен." >> $lf && cat $z/footer.txt >> $lf && exit 0
fi
if [ $v -eq 1 ]; then echo `date +%c`"  --  Найден всего один лог файл за месяц. Сбор статистики за месяц нецелесообразен." >> $lf
if (( $t > 1 )) && (( $t <= 12 )); then pm=$(( t - 1 )) && py=`date +%Y`; fi
if (( $t == 1 )); then pm=12 && py=$(( `date +%Y` - 1 )); fi
if (( $pm < 10 )); then pm="0$pm"; fi
for day in {1..31}
do
if (( "$day" < 10 )); then dayvalue="0$day"
else dayvalue="$day"
fi
index=$(( day - 1 ))
if [ -f "$D$PN$py.$pm.$dayvalue" ] && [ -f "$D$LN$py.$pm.$dayvalue" ]; then days[index]=$dayvalue; fi
dayvalue=""
done
echo
echo `date +%c`"  --  Найдены старые файлы за следующие даты:<br/>" >> $lf
for i in ${days[*]}; do
echo "$i.$pm.$py<br/>" >> $lf
rm -rf "$D$PN$py.$pm.$i" && rm -rf "$D$LN$py.$pm.$i"
done
echo "Все найденные старые файлы были удалены.<br/>" >> $lf
if [ -d "$D$py.$pm" ]; then rm -r "$D$py.$pm" && echo "Удалён каталог ( $py.$pm ) с логом за прошедший месяц.<br/>" >> $lf; fi
exit 0
fi
if (( $v > 1 )); then
if ! [ -d "$D$m" ]; then mkdir $D$m; fi
echo `date +%c`"  --  Найдены файлы логов за следующие дни месяца:<br/>" >> $lf
for i in ${days[*]}; do
echo "$i.$ym<br/>" >> $lf
cat "$D$N.$i" >> $D$m$N
done
fi
sh /opt/$f/$f-remove-prev-statdir.sh