#!/bin/sh
export LANG=ru_RU.UTF-8
export LC_ALL=
f=free-sa
p=3proxy
z=/opt/$f
m=`date +%Y`.`date +%m`
d=/var/log/$f/$m/$p.log.$m
lf=/opt/$f/logs/$f-month.log.html
cat $z/header.txt > $lf
if ! [ -e /var/log/$p/$p.log.$m.`date +%d` ]; then
echo `date +%c`"  --  Файл лога за сегодняшний день отсутствует, запуск анализатора пропускаем." >> $lf
cat $z/footer.txt >> $lf
exit 0
fi
#if [[ $(du -b $d | cut -f1) > 600000000 ]]; then echo `date +%c`"  --  Размер суммарного файла лога за месяц превышает 600 000 000 байт, обработку пропускаем." > $lf && exit 0
#fi
sh $z/$p-log-prepare-month.sh
ulimit -n 4096
$z/$f -d thismonth -f /etc/$f/$f-$p-month.conf -o /var/www/html/$f/$p -l $d
echo "<br/>"`date +%c`"  --  Файлы логов за текущий месяц успешно обработаны анализатором." >> $lf
cat $z/footer.txt >> $lf
sh $z/$f-fix-html-index.sh